Skip to content

List available languages

Request

Retrieve a list of supported languages.

The response includes the following attributes:

  • id - Language ID.
  • name - Native name.
  • englishName - English name.
  • nativeEncoding - Encoding of the language.
  • preferredFont - Recommended font for display.
  • latin - Whether the language uses Latin script.
  • rightToLeft - Whether the language uses right-to-left script (e.g., Arabic, Hebrew, Persian).
Security
Tisane-API-Key
Headers
Content-Typestring
Example:application/json
GET
/languages
curl -i -X GET \
  https://api.tisane.ai/languages \
  -H 'Content-Type: application/json' \
  -H 'Ocp-Apim-Subscription-Key: YOUR_API_KEY_HERE'

Responses

Successful response

Bodyapplication/json
Array [
isoCodestring
namestring
englishNamestring
nativeEncodingstring
fontFacestring
latinboolean
rightToLeftboolean
]
Response
[ { "isoCode": "ar", "name": "العربية", "englishName": "Arabic", "nativeEncoding": "iso-8859-6", "fontFace": "Arial", "latin": false, "rightToLeft": true }, { "isoCode": "en", "name": "English", "englishName": "English", "nativeEncoding": "iso-8859-1", "fontFace": "Arial", "latin": true }, { "isoCode": "zh-CN", "name": "简体中文", "englishName": "Chinese, Simplified", "nativeEncoding": "gb18030", "fontFace": "NSimSun", "latin": false }, { "isoCode": "zh-TW", "name": "繁體中文", "englishName": "Chinese, Traditional", "nativeEncoding": "iso-8859-1", "fontFace": "Arial Unicode MS", "latin": false }, { "isoCode": "ja", "name": "日本語", "englishName": "Japanese", "nativeEncoding": "ISO-2022", "fontFace": "MS Mincho", "latin": false }, { "isoCode": "ru", "name": "русский", "englishName": "Russian", "nativeEncoding": "iso-8859-1", "fontFace": "Arial", "latin": false } ]